AnsweredAssumed Answered

Compiling gstreamer1.0-plugins-imx for i.MX 6SoloX

Question asked by Ilario Gottardello on Oct 6, 2015
Latest reply on Oct 14, 2015 by Yuri Muhin

Hi all,

 

I know i.MX 6SoloX doens't have VPU, but it has PXP and GPU-2D, so I would like to use these features for resizing video frames.

Problems is, I need the appropriate gstreamer plugins compiled, but if I add gstreamer1.0-plugins-imx to the image it gives me an error: libfslvpuwrap is not supported on my board (which is a mx6sxsabresd). If I modify the recipie adding mx6sx, it tells me that two packages provides virtual/libg2d, and a conflict stops the building process.

 

So, I'm stuck. My questions:

- is gstreamer the proper way to use PXP on MX 6SoloX? If not, how can I use this feature while decoding video with gstreamer?

- if yes, how should I patch the recipes to make the packages build?

- is official support for this cpu already planned on a future version of gstreamer-imx?

 

Thank you so much

Ilario

Outcomes